// ............................................
// .       sneaks like saki base scripts      .
// .  Scripts for ut4_slsbase texture folder  .
// .            Urban Terror 4.1              .
// ............................................ !
//
// content
// sls_ladder script
// sdclouddusk7 script
// slsbaselight script
// slsbaselozmesh script
// credit

textures/ut4_slsbase/sls_ladder
{
   qer_trans 0.40
   qer_editor_image textures/ut4_slsbase/sls_ladder.jpg 
   surfaceparm nolightmap
   surfaceparm nomarks
   surfaceparm nodraw
   surfaceparm nonsolid
   surfaceparm playerclip
   surfaceparm noimpact
   surfaceparm ladder
   surfaceparm trans
}

textures/ut4_slsbase/sdclouddusk7
{
   qer_editorimage textures/ut4_slsbase/sdclouddusk7.tga	//name it .tga even if its not
   
   q3map_lightmapFilterRadius 0 8   
   q3map_lightsubdivide 386					//q3map_lightsubdivide 386
   q3map_backsplash 0 0

   q3map_sunExt 1 0.85 0.5 25 -32 56 3 12			//always sunExt; #r #g #b, #intensity[shadow brightness value], # # #angle, #samples
   q3map_skyLight 255 4						//q3map_skyLight 245 4  // #light brightness value, #shadow quality[smoothness]
   q3map_lightRGB 1 0.85 0.5
   q3map_noFog

   surfaceparm sky
   surfaceparm noimpact
   surfaceparm nolightmap
   surfaceparm nomarks
   surfaceparm nodlight

   skyparms env/ut4_slsbase/sdclouddusk7 1024 -			//scrolling clouds must have this second value
   nopicmip
   nomipmaps
   {
      map textures/ut4_slsbase/sdclouddusk7.tga
      tcMod scale 1 1						//tcMod scale 3 3
      tcMod scroll 0.0017 0.0007	      			//tcMod scroll 0.00015 0.00025//tcMod scroll 0.01 0.0025
      rgbGen identityLighting
   }
   {
      clampmap textures/ut4_slsbase/slsmaskdusk7.tga
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      tcMod transform 1.1696 0 0 1.1 -1 -1			//tcMod transform 1 0 0 1 -1 -1
      tcMod scale .5696 .5696
   }
}

textures/ut4_slsbase/slsbaselight
{
   qer_editorimage textures/ut4_slsbase/slsbaselight.tga
   q3map_surfacelight 225					//	q3map_surfacelight 7500
   {
      map textures/ut4_slsbase/slsbaselight.tga			//      map textures/ut4_slsbase/slsbaselight.tga
      rgbGen identity						//	blendFunc GL_DST_COLOR GL_ZERO
   }
}

textures/ut4_slsbase/slsbasestreetlight
{
   qer_editorimage textures/ut4_slsbase/slsbasestreetlight.tga
   q3map_surfacelight 35000
   {
      map textures/ut4_slsbase/slsbasestreetlight.tga
      rgbGen identity
   }
}

textures/ut4_slsbase/slsbasewindow
{
   qer_editorimage textures/ut4_slsbase/slsbasewindow.tga
//   q3map_surfacelight 110
   {
      map textures/ut4_slsbase/slsbasewindow.tga
      rgbGen oneMinusVertex
   }
}

//textures/ut4_slsbase/slsbasewindow
//{
//   qer_editorimage textures/ut4_slsbase/slsbasewindow.tga
//   q3map_surfacelight 110
//   {
//      map textures/ut4_slsbase/slsbasewindow.tga
//      rgbGen identity
//   }
//}

textures/ut4_slsbase/slsbaselozmesh
{
   qer_editor_image textures/ut4_slsbase/slsbaselozmesh.tga
   surfaceparm nolightmap
   surfaceparm noimpact
   surfaceparm nomarks
   cull disable
   {
      map textures/ut4_slsbase/slsbaselozmesh.tga
      alphaFunc GE128
      depthWrite
      rgbGen vertex
   }
}

// credits
//
// ut4_slsbase slsladder script
// ladder script; copied Delirium from Urban Terror forum 01 November 2009
// http://forums.urbanterror.net/topic/16167-shader-questions-a-query-of-sorts/
//
// ut4_slsbase sdclouddusk7 script
// thanks Ximun for showing me sky scripts
// thanks Delirium for teaching me how sky scripts work
// tested modified and punished by sneaks ;-?
//
// ut4_slsbase slsbaselight script
// nubcakes script 101 http://forums.urbanterror.net/topic/20283-misc-issues-solved/
// by sneaks
//
// ut4_slsbase slsbasewindow script
// based on slsbaselight script
// modified based on example in q3map2 Shader Manual found on 6th March 2010
// http://www.robotrenegade.com/q3map2/docs/shader_manual/ch3.html#lightimage
// modifed and based on sdcloudskydusk7 sky script
// by sneaks
//
// ut4_slsbase slsbase_lozmesh script
// a script to allow alpha to vanish; script taken from Urban Terror forums 6th Febuary 2010 
// http://forums.urbanterror.net/topic/20212-plants-and-vegetation-gtkradiant/
// posted by guach
// nubcakes script 101 http://forums.urbanterror.net/topic/20283-misc-issues-solved/
// punished by sneaks
//
// all notes writen behind // are notes only and do not effect the script
// to avoid confict and corruption of these files, rename the file when/if you modify
// and please give credit where credit is due
//
// Finally, thanks Snafu for showing me Urban Terror
//
// Ultimatly to my family; the greatest girls in the world. Thanks for yor support and encouragement
//
// regards,
// sneaks
// March 2010